<?php

namespace App\Model\Database\Entity;

use Doctrine\ORM\Mapping as ORM;
use App\Model\Database\Entity\Attributes\TId;

/**
 * @ORM\Entity(repositoryClass="App\Model\Database\Repository\TermFlagRepository")
 * @ORM\HasLifecycleCallbacks
 */
class TermFlag extends AbstractEntity 
{

    use Tid;
    
    public function __construct($id,$class,$language,$code,$description)
    {
    	$this->id = $id;
	$this->class = $class;
	$this->language = $language;
	$this->code = $code;
	$this->description = $description;
    }

    /**
     * @ORM\ManyToOne(targetEntity="WordClass", inversedBy="flags")
     */
    protected $class;

    public function getClass()
    {
	return $this->class;
    }

    public function setClass($class)
    {
	$this->class = $class;
	return $this;
    }

    /**
     * @ORM\ManyToOne(targetEntity="Language", inversedBy="flags")
     */
    protected $language;

    public function getLanguage()
    {
	return $this->language;
    }

    public function setLanguage($language)
    {
	$this->language = $language;
	return $this;
    }

    /**
     * @ORM\Column(type="string")
     */
    protected $code;

    public function getCode()
    {
    	return $this->code;
    }

    public function setCode($code)
    {
    	$this->code = $code;
	return $this;
    }

    /**
     * @ORM\Column(type="string")
     */
    protected $description;

    public function getDescription()
    {
    	return $this->description;
    }

    public function setDescription($description)
    {
    	$this->description = $description;
	return $this;
    }
}

?>
